Skip to main content
`Ctrl`+`K`

# PetscOptionsGetInt

Gets the integer value for a particular option in the database.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsGetInt(PetscOptions options, const char pre[], const char name[], PetscInt *ivalue, PetscBool *set)

Not Collective

## Input Parameters

- options - options database, use `NULL` for default global database

- pre - the string to prepend to the name or `NULL`

- name - the option one is seeking

## Output Parameters

- ivalue - the integer value to return

- set - `PETSC_TRUE` if found, else `PETSC_FALSE`

## Notes

If the user does not supply the option `ivalue` is NOT changed. Thus you should ALWAYS initialize the `ivalue` if you access it without first checking that the `set` flag is true.

Accepts the special values `determine`, `decide` and `unlimited`.

Accepts the deprecated value `default`.

## See Also

`PetscOptionsGetReal()`, `PetscOptionsHasName()`, `PetscOptionsGetString()`, `PetscOptionsGetIntArray()`, `PetscOptionsGetRealArray()`, `PetscOptionsBool()` `PetscOptionsInt()`, `PetscOptionsString()`, `PetscOptionsReal()`, `PetscOptionsName()`, `PetscOptionsBegin()`, `PetscOptionsEnd()`, `PetscOptionsHeadBegin()`, `PetscOptionsStringArray()`, `PetscOptionsRealArray()`, `PetscOptionsScalar()`, `PetscOptionsBoolGroupBegin()`, `PetscOptionsBoolGroup()`, `PetscOptionsBoolGroupEnd()`, `PetscOptionsFList()`, `PetscOptionsEList()`

## Level

beginner

## Location

src/sys/objects/options.c

## Examples

src/dm/tutorials/swarm_ex1.c
src/dm/tutorials/ex21.c
src/dm/tutorials/ex5.c
src/dm/impls/swarm/tutorials/ex1.c
src/dm/impls/stag/tutorials/ex4.c
src/dm/tutorials/ex3.c
src/dm/tutorials/ex26.c
src/dm/tutorials/ex20.c
src/dm/impls/stag/tutorials/ex6.c
src/dm/tutorials/ex14.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages